# module IO::generic_writable

### Public Instance Methods

strio << obj → strio click to toggle source

See `IO#<<`.

    #define strio_addstr rb_io_addstr

print() → nil click to toggle source
print(obj, ...) → nil

See `IO#print`.

    #define strio_print rb_io_print

printf(format_string [, obj, ...] ) → nil click to toggle source

See `IO#printf`.

    #define strio_printf rb_io_printf

puts(obj, ...) → nil click to toggle source

See `IO#puts`.

    #define strio_puts rb_io_puts

write_nonblock(p1, p2 = {}) click to toggle source

    static VALUE
    strio_syswrite_nonblock(int argc, VALUE *argv, VALUE self)
    {
        VALUE str;

        rb_scan_args(argc, argv, "10:", &str, NULL);
        return strio_syswrite(self, str);
    }